import request from '@/utils/request'

// 查询辅助帐凭证详细列列表
export function listVoucherinfo(query) {
  return request({
    url: '/buyer/voucherinfo/list',
    method: 'get',
    params: query
  })
}

// 查询辅助帐凭证详细列列表
export function voucherInfoViewList(query) {
  return request({
    url: '/buyer/voucherinfo/voucherInfoViewList',
    method: 'get',
    params: query
  })
}

export function totalVoucherInfoList(data) {
  return request({
    url: '/buyer/voucherinfo/totalVoucherInfoList',
    method: 'post',
    data: data
  })
}

// 查询辅助帐凭证详细列详细
export function getVoucherinfo(id) {
  return request({
    url: '/buyer/voucherinfo/' + id,
    method: 'get'
  })
}

// 新增辅助帐凭证详细列
export function addVoucherinfo(data) {
  return request({
    url: '/buyer/voucherinfo',
    method: 'post',
    data: data
  })
}

// 修改辅助帐凭证详细列
export function updateVoucherinfo(data) {
  return request({
    url: '/buyer/voucherinfo',
    method: 'put',
    data: data
  })
}

// 删除辅助帐凭证详细列
export function delVoucherinfo(id) {
  return request({
    url: '/buyer/voucherinfo/' + id,
    method: 'delete'
  })
}
